## plowshare4 1.0.5

=== Makefile ===
##
# Plowshare4 Makefile (requires GNU sed)
# Usage:
# - make PREFIX=/usr install
# - make PREFIX=/usr DESTDIR=/tmp/packaging install
#
# Important note for OpenBSD, NetBSD and Mac OS X users:
# Be sure to properly define GNU_SED variable (gsed or gnu-sed).
##

# Tools

INSTALL  = install
LN_S     = ln -sf
RM       = rm -f
GNU_SED ?= sed

# Files

MODULE_FILES = $(wildcard src/modules/*.sh) src/modules/config
SRCS      = download.sh upload.sh delete.sh list.sh probe.sh core.sh
MANPAGES1 = plowdown.1 plowup.1 plowdel.1 plowlist.1 plowprobe.1
MANPAGES5 = plowshare.conf.5
DOCS      = README

BASH_COMPL  = scripts/plowshare.completion
GIT_VERSION = scripts/version

# Target path
# DESTDIR is for package creation only

PREFIX ?= /usr/local
BINDIR  = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/plowshare4
DOCDIR  = $(PREFIX)/share/doc/plowshare4
MANDIR  = $(PREFIX)/share/man/man

# Rules

install: $(DESTDIR)$(DATADIR) patch_git_version patch_bash_completion

$(DESTDIR)$(DATADIR):
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(DATADIR)
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/modules
	$(INSTALL) -d $(DESTDIR)$(DOCDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)1
	$(INSTALL) -d $(DESTDIR)$(MANDIR)5
	$(INSTALL) -m 644 $(MODULE_FILES) $(DESTDIR)$(DATADIR)/modules
	$(INSTALL) -m 755 $(addprefix src/,$(SRCS)) $(DESTDIR)$(DATADIR)
	$(INSTALL) -m 644 $(addprefix docs/,$(MANPAGES1)) $(DESTDIR)$(MANDIR)1
	$(INSTALL) -m 644 $(addprefix docs/,$(MANPAGES5)) $(DESTDIR)$(MANDIR)5
	$(INSTALL) -m 644 $(DOCS) $(DESTDIR)$(DOCDIR)
	$(LN_S) $(DATADIR)/download.sh $(DESTDIR)$(BINDIR)/plowdown
	$(LN_S) $(DATADIR)/upload.sh   $(DESTDIR)$(BINDIR)/plowup
	$(LN_S) $(DATADIR)/delete.sh   $(DESTDIR)$(BINDIR)/plowdel
	$(LN_S) $(DATADIR)/list.sh     $(DESTDIR)$(BINDIR)/plowlist
	$(LN_S) $(DATADIR)/probe.sh    $(DESTDIR)$(BINDIR)/plowprobe

uninstall:
	@$(RM) $(DESTDIR)$(BINDIR)/plowdown
	@$(RM) $(DESTDIR)$(BINDIR)/plowup
	@$(RM) $(DESTDIR)$(BINDIR)/plowdel
	@$(RM) $(DESTDIR)$(BINDIR)/plowlist
	@$(RM) $(DESTDIR)$(BINDIR)/plowprobe
	@rm -rf $(DESTDIR)$(DATADIR) $(DESTDIR)$(DOCDIR)
	@$(RM) $(addprefix $(DESTDIR)$(MANDIR)1/, $(MANPAGES1))
	@$(RM) $(addprefix $(DESTDIR)$(MANDIR)5/, $(MANPAGES5))
	@$(RM) $(addprefix $(DESTDIR)$(PREFIX)/share/bash-completion/completions/, $(MANPAGES1:%.1=%))

patch_git_version: $(DESTDIR)$(DATADIR)
	@v=`$(GIT_VERSION)` && \
	for file in $(SRCS); do \
		$(GNU_SED) -i -e 's/^\(declare -r VERSION=\).*/\1'"'$$v'"'/' $(DESTDIR)$(DATADIR)/$$file; \
	done; \

patch_bash_completion: $(DESTDIR)$(DATADIR)
	@$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions
	@$(GNU_SED) -e '/cut/s,/usr/local/share/plowshare4,$(DATADIR),' $(BASH_COMPL) > $(DESTDIR)$(PREFIX)/share/bash-completion/completions/plowdown
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowup
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowdel
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowlist
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowprobe

# Note: sed append syntax is not BSD friendly!
patch_gnused: $(DESTDIR)$(DATADIR)
	@for file in $(SRCS); do \
		$(GNU_SED) -i -e '/\/licenses\/>/ashopt -s expand_aliases; alias sed='\''$(GNU_SED)'\' "$(DESTDIR)$(DATADIR)/$$file"; \
	done

.PHONY: install uninstall

=== debian/changelog ===
plowshare4 (1.0.5-2) unstable; urgency=high

  * Disable javascript support (Closes: #791467)

 -- Carl Suster <carl@contraflo.ws>  Tue, 14 Jul 2015 18:45:22 +1000

plowshare4 (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * fix-man-page-typos.patch now fixed in upstream.
  * Drop Replaces: plowshare since it was never in the archive.
  * Drop Conflicts: plowshare3 since it was never in the archive.
  * Add Recommends: sxiv as an alternative X image viewer.
  * Add Suggests: fbi as a framebuffer viewer.
  * Remove executable permission on module files.

 -- Carl Suster <carl@contraflo.ws>  Sun, 31 Aug 2014 18:53:00 +1000

plowshare4 (1.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #599924)

 -- Carl Suster <carl@contraflo.ws>  Sat, 26 Jul 2014 16:38:56 +1000

=== debian/control ===
Source: plowshare4
Section: web
Priority: optional
Maintainer: Carl Suster <carl@contraflo.ws>
Build-Depends: debhelper (>= 9), bash-completion
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/plowshare/
Vcs-Git: git://github.com/arcresu/plowshare4-debian.git
Vcs-Browser: https://github.com/arcresu/plowshare4-debian

Package: plowshare4
Architecture: all
Depends: ${misc:Depends}, bash (>=4.1), curl (>=7.24), recode | libhtml-parser-perl
Recommends: qiv | feh | sxiv | imagemagick
Suggests: aview | caca-utils, fbi
Description: Download and upload files from file sharing websites
 Plowshare is a command-line tool for managing files on popular file sharing
 websites (a.k.a. file hosting providers or One-Click hosters). Plowshare
 has bash scripts to download or upload files and manage remote folders and
 link deletion.
 .
 Supported sites include: 115.com, 180upload.com, 1fichier, 2shared, 4shared,
 4share.vn, anonfiles, bayfiles, bayimg, billion uploads,
 bitshare, chomikuj, cramit.in, crocko.com, data.hu, dataport.cz, depositfiles,
 directmirror, divshare, dl.free.fr, embed upload, euroshare.eu, exoshare,
 filebin.ca, filecloud.io, filefactory, filemonkey, fileover.net,
 fileparadox, filepost, filepup.net, filer.net, firedrive, flashx.tv,
 freakshare, fshare.vn, gamefront, ge.tt, gfile.ru, go4up, hdstream.to,
 hipfile, jheberg, keep2share, letitbit, mediafire, megashares, mirrorcreator,
 mirrorupload, multiupload, multiup.org, myvdrive, nakido, netkups, netload.in,
 nowdownload.co, oboom, pastebin, promptfile, rapidgator, rapidshare, rghost,
 ryushare, sendspace, sharebeast, share-online.biz, sockshare, solidfiles,
 tempsend, turbobit.net, ultramegabit.com uploadable.ch, uploaded.net,
 uploadhero, uploading.com, upstore, uptobox, zalaa, zalil.ru, ziddu,
 zippyshare.
